CephFsS - Bug #24004

mds: curate priority of perf counters sent to mgr
05/03/2018 09:27 PM - Patrick Donnelly

Status: Resolved % Done: 0%
Priority: Urgent

Assignee: Venky Shankar

Category: Administration/Usability

Target version: v14.0.0

Source: Development ceph-ga-suite:

Tags: Component(FS): MDS
Backport: mimic,luminous Labels (FS): task(medium)
Regression: No Pull request ID:

Severity: 3 - minor Crash signature (v1):
Reviewed: Crash signature (v2):
Affected Versions:

Description

Make sure we have the most interesting statisitcs available for prometheus for dashboard use. Additionally, see if we can send any
other statisitics with the perf counters, such as stats on the open sessions (client metadata in particular). One example use case of
e.g. sending data from “session Is’ is seeing the types/versions of clients connected to the file system.

Related issues:

Related to CephFS - Feature #24285: mgr: add module which displays current us... Resolved

Related to CephFS - Feature #25013: mds: add average session age (uptime) per... Resolved 07/20/2018
Copied to CephFS - Backport #26990: luminous: mds: curate priority of perf co... Resolved

Copied to CephFS - Backport #26991: mimic: mds: curate priority of perf count... Resolved

History

#1 - 05/22/2018 10:03 PM - Patrick Donnelly
- Target version changed from v13.0.0 to v14.0.0

- Backport changed from luminous to mimic,luminous

#2 - 06/18/2018 01:24 PM - Patrick Donnelly
- Related to Feature #24285: mgr: add module which displays current usage of file system ('fs top’) added

#3 - 06/18/2018 04:35 PM - Patrick Donnelly
- Assignee changed from Patrick Donnelly to Venky Shankar

- Labels (FS) task(medium) added

#4 - 06/22/2018 01:18 PM - Venky Shankar

- Status changed from New to Fix Under Review

PR https://github.com/ceph/ceph/pull/22668

#5 - 07/20/2018 06:16 AM - Venky Shankar

- Related to Feature #25013: mds: add average session age (uptime) perf counter added

#6 - 08/20/2018 10:14 PM - Patrick Donnelly

- Status changed from Fix Under Review to Pending Backport
https://github.com/ceph/ceph/pull/22668

#7 - 08/21/2018 04:02 PM - Nathan Cutler

- Copied to Backport #26990: luminous: mds: curate priority of perf counters sent to mgr added

#8 - 08/21/2018 04:02 PM - Nathan Cutler

- Copied to Backport #26991: mimic: mds: curate priority of perf counters sent to mgr added

#9 - 11/13/2018 09:56 AM - Nathan Cutler

- Status changed from Pending Backport to Resolved
